Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.cluster.singleton
Class ConfigMigrationProcessor

    java.lang.Object
      weblogic.cluster.singleton.ConfigMigrationProcessor

All Implemented Interfaces:
  weblogic.management.provider.ConfigurationProcessor

    public class ConfigMigrationProcessor

extends Object
implements weblogic.management.provider.ConfigurationProcessor

Method Summary
`void` | `createMachine(weblogic.management.configuration.DomainMBean domain, String name, String listenAddress, String listenPort, String type, String serverName)`
`static ConfigMigrationProcessor` | `getInstance()`
`void` | `setCandidateMachinesForAutomaticMigration(weblogic.management.configuration.DomainMBean domain)`
`void` | `setConnectionPoolProperties(String username, String password, String driverName, String url, String properties, weblogic.management.configuration.DomainMBean domain)`
`void` | `updateConfiguration(weblogic.management.configuration.DomainMBean dd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static final ConfigMigrationProcessor getInstance()

### updateConfiguration

    public void updateConfiguration(weblogic.management.configuration.DomainMBean dd)
                             throws weblogic.management.provider.UpdateException

  Specified by:
    `updateConfiguration` in interface `weblogic.management.provider.ConfigurationProcessor`
  Throws:
    `weblogic.management.provider.UpdateException`

### setConnectionPoolProperties

    public void setConnectionPoolProperties(String username,
                                            String password,
                                            String driverName,
                                            String url,
                                            String properties,
                                            weblogic.management.configuration.DomainMBean domain)
                                     throws InvalidAttributeValueException,
                                            DistributedManagementException

  Throws:
    `InvalidAttributeValueException`
    `DistributedManagementException`

### createMachine

    public void createMachine(weblogic.management.configuration.DomainMBean domain,
                              String name,
                              String listenAddress,
                              String listenPort,
                              String type,
                              String serverName)
                       throws InvalidAttributeValueException

  Throws:
    `InvalidAttributeValueException`

### setCandidateMachinesForAutomaticMigration

    public void setCandidateMachinesForAutomaticMigration(weblogic.management.configuration.DomainMBean domain)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD